
<!DOCTYPE html>

<html>
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />

    <title>Peculiarities &#8212; Varnish version 6.0.11 documentation</title>
    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
    <link rel="stylesheet" type="text/css" href="../_static/classic.css" />
    
    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
    <script src="../_static/jquery.js"></script>
    <script src="../_static/underscore.js"></script>
    <script src="../_static/doctools.js"></script>
    
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
    <link rel="next" title="Now what?" href="now_what.html" />
    <link rel="prev" title="Backend servers" href="backend_servers.html" /> 
  </head><body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="now_what.html" title="Now what?"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="backend_servers.html" title="Backend servers"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../index.html">Varnish version 6.0.11 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="index.html" accesskey="U">The Varnish Tutorial</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">Peculiarities</a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <section id="peculiarities">
<h1>Peculiarities<a class="headerlink" href="#peculiarities" title="Permalink to this headline">¶</a></h1>
<p>There are a couple of things that are different with Varnish Cache, as
opposed to other programs. One thing you’ve already seen - VCL. In this section we provide a very quick tour of other peculiarities you need to know about to get the most out of Varnish.</p>
<section id="configuration">
<h2>Configuration<a class="headerlink" href="#configuration" title="Permalink to this headline">¶</a></h2>
<p>The Varnish Configuration is written in VCL. When Varnish is ran this
configuration is transformed into C code and then fed into a C
compiler, loaded and executed.</p>
<p>So, as opposed to switching various
settings on or off, you write polices on how the incoming traffic should be
handled.</p>
</section>
<section id="varnishadm">
<h2>varnishadm<a class="headerlink" href="#varnishadm" title="Permalink to this headline">¶</a></h2>
<p>Varnish Cache has an admin console. You can connect it it through the
<a class="reference internal" href="../reference/varnishadm.html#varnishadm-1"><span class="std std-ref">varnishadm</span></a> command. In order to connect the user needs to be
able to read <cite>/etc/varnish/secret</cite> in order to authenticate.</p>
<p>Once you’ve started the console you can do quite a few operations on
Varnish, like stopping and starting the cache process, load VCL,
adjust the built in load balancer and invalidate cached content.</p>
<p>It has a built in command “help” which will give you some hints on
what it does.</p>
</section>
<section id="varnishlog">
<h2>varnishlog<a class="headerlink" href="#varnishlog" title="Permalink to this headline">¶</a></h2>
<p>Varnish does not log to disk. Instead it logs to a chunk of memory. It
is actually streaming the logs. At any time you’ll be able to connect
to the stream and see what is going on. Varnish logs quite a bit of
information. You can have a look at the logstream with the command
<a class="reference internal" href="../reference/varnishlog.html#varnishlog-1"><span class="std std-ref">varnishlog</span></a>.</p>
</section>
</section>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../index.html">Table of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">Peculiarities</a><ul>
<li><a class="reference internal" href="#configuration">Configuration</a></li>
<li><a class="reference internal" href="#varnishadm">varnishadm</a></li>
<li><a class="reference internal" href="#varnishlog">varnishlog</a></li>
</ul>
</li>
</ul>

  <h4>Previous topic</h4>
  <p class="topless"><a href="backend_servers.html"
                        title="previous chapter">Backend servers</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="now_what.html"
                        title="next chapter">Now what?</a></p>
  <div role="note" aria-label="source link">
    <h3>This Page</h3>
    <ul class="this-page-menu">
      <li><a href="../_sources/tutorial/peculiarities.rst.txt"
            rel="nofollow">Show Source</a></li>
    </ul>
   </div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="now_what.html" title="Now what?"
             >next</a> |</li>
        <li class="right" >
          <a href="backend_servers.html" title="Backend servers"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../index.html">Varnish version 6.0.11 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="index.html" >The Varnish Tutorial</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">Peculiarities</a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2010-2014, Varnish Software AS.
      Created using <a href="https://www.sphinx-doc.org/">Sphinx</a> 4.3.2.
    </div>
  </body>
</html>